/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*-  */
/*
 * iqpsolver.h
 * Copyright (C) 2015 Frank-Michael Schleif <schleify@cs.bham.ac.uk>
 *
 * This is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * The code is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _iqpsolver_h
#define _iqpsolver_h
#include <armadillo>
using namespace std;
using namespace arma;

class iqpsolver
{
public:
	iqpsolver() {};
	~iqpsolver() {};
	int InteriorPointSolver(const mat &H, const colvec &c, const mat &A, const vec &b, bool bVerbose, colvec &primals, double &dVal);
protected:

private:
};

#endif // _iqpsolver_h

