#ifndef __CVM_SERIALIZATION_HPP__
#define __CVM_SERIALIZATION_HPP__

#ifdef __cplusplus
#include <boost/serialization/export.hpp>
#include <boost/serialization/shared_ptr.hpp>
#include "multiclassmodel_interface.h"
#include "cvmmulticlassmodel.h"
#include "cvmmulticlassmodel_each.h"


//============================================================================
//    Base serialization registration
//============================================================================


BOOST_CLASS_EXPORT_GUID( IMultiClassModelInterface,    "cvm_multiclassmodel_interface"    )
BOOST_CLASS_EXPORT_GUID( cvm_multiclass_model,    "cvm_multiclass_model"    )
BOOST_CLASS_EXPORT_GUID( cvm_multiclass_model_each,    "cvm_multiclass_model_each"    )


BOOST_SERIALIZATION_SHARED_PTR( IMultiClassModelInterface    )
BOOST_SERIALIZATION_SHARED_PTR( cvm_multiclass_model    )
BOOST_SERIALIZATION_SHARED_PTR( cvm_multiclass_model_each    )
//=====================
#endif    /* __cplusplus */

#endif    /* __CVM_SERIALIZATION_HPP__ */
