/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*-  */
/*
 * math_stat_helper.hpp
 * Copyright (C) 2015 Frank-Michael Schleif <schleify@cs.bham.ac.uk>
 *
 * This is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * The code is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _MATH_STAT_HELPER_HPP_
#define _MATH_STAT_HELPER_HPP_
#ifndef M_PI
#define 	M_PI   3.14159265358979323846	/* pi */
#endif
#include <armadillo>
/*	mat Test(2,2);
	Test << 0.165300 << 0.454037 << endr
		 << 0.688782 << 0.036549 << endr;
	mat TestCDF = normalCDF(Test);
	std::cout << TestCDF;
	return;
	//    0.5656    0.6751
    //    0.7545    0.5146
*/

// normal cummulative distribution function special case for N(0,1) only
inline mat normalCDF(mat Matrix);

/*	mat Test(2,2);
	Test << 0.165300 << 0.454037 << endr
		 << 0.688782 << 0.036549 << endr;
	mat TestCDF = normalPDF(Test);
	std::cout << TestCDF;
	return;
	//  0.3935    0.3599
    // 0.3147    0.3987

*/
// normal probability density function special case for N(0,1) only
inline mat normalPDF(mat Matrix);
#include "math_stat_helper_impl.hpp"
#endif
